aboutsummaryrefslogtreecommitdiffstats
path: root/resources
diff options
context:
space:
mode:
Diffstat (limited to 'resources')
-rw-r--r--resources/test_data/honeycomb/netconf/triggers.py2
-rw-r--r--resources/test_data/honeycomb/persistence.py4
-rw-r--r--resources/test_data/honeycomb/sub_interfaces.py12
-rwxr-xr-xresources/tools/vagrant/install_hc_debs.sh29
4 files changed, 38 insertions, 9 deletions
diff --git a/resources/test_data/honeycomb/netconf/triggers.py b/resources/test_data/honeycomb/netconf/triggers.py
index 5d47853352..899c258c06 100644
--- a/resources/test_data/honeycomb/netconf/triggers.py
+++ b/resources/test_data/honeycomb/netconf/triggers.py
@@ -502,7 +502,7 @@ trigger_vlan = u"""
<match-exact-tags>true</match-exact-tags>
</vlan-tagged>
</match>
-<vlan-type>802dot1q</vlan-type>
+<vlan-type>_802dot1q</vlan-type>
<enabled>false</enabled>
<tags>
<tag>
diff --git a/resources/test_data/honeycomb/persistence.py b/resources/test_data/honeycomb/persistence.py
index 129b09a512..88d2137bae 100644
--- a/resources/test_data/honeycomb/persistence.py
+++ b/resources/test_data/honeycomb/persistence.py
@@ -58,7 +58,7 @@ def get_variables(interface):
'sub_if_name': sub_if_name,
'sub_if_1_settings': {
"identifier": sub_if_id,
- "vlan-type": "802dot1q",
+ "vlan-type": "_802dot1q",
"enabled": "false"
},
'sub_if_1_tags': [
@@ -116,7 +116,7 @@ def get_variables(interface):
},
'tag_rewrite_pop_1_oper': {
- "vlan-type": "vpp-vlan:802dot1ad",
+ "vlan-type": "vpp-vlan:_802dot1ad",
"pop-tags": 1
},
diff --git a/resources/test_data/honeycomb/sub_interfaces.py b/resources/test_data/honeycomb/sub_interfaces.py
index 3955089b56..1ab270b33c 100644
--- a/resources/test_data/honeycomb/sub_interfaces.py
+++ b/resources/test_data/honeycomb/sub_interfaces.py
@@ -18,7 +18,7 @@ from copy import deepcopy
# Sub-interface 1 and its settings:
sub_if_1_settings = {
"identifier": "1",
- "vlan-type": "802dot1q",
+ "vlan-type": "_802dot1q",
"enabled": "false"
}
@@ -93,7 +93,7 @@ sub_bd_settings = {
# Configuration data: Enable tag-rewrite push.
tag_rewrite_push = {
- "vlan-type": "vpp-vlan:802dot1q",
+ "vlan-type": "vpp-vlan:_802dot1q",
"push-tags": [
{
"index": 0,
@@ -114,7 +114,7 @@ tag_rewrite_push = {
# Expected operational data: tag-rewrite push.
tag_rewrite_push_oper = {
- "vlan-type": "vpp-vlan:802dot1q",
+ "vlan-type": "vpp-vlan:_802dot1q",
"push-tags": [
{
"index": 0,
@@ -156,7 +156,7 @@ tag_rewrite_pop_1 = {
# Expected operational data: tag-rewrite pop 1.
tag_rewrite_pop_1_oper = {
- "vlan-type": "vpp-vlan:802dot1ad",
+ "vlan-type": "vpp-vlan:_802dot1ad",
"pop-tags": 1
}
@@ -178,7 +178,7 @@ tag_rewrite_pop_1_VAT = {
# Configuration data: Enable tag-rewrite translate 1-2.
tag_rewrite_translate_1_2 = {
- "vlan-type": "vpp-vlan:802dot1q",
+ "vlan-type": "vpp-vlan:_802dot1q",
"pop-tags": "1",
"push-tags": [
{
@@ -200,7 +200,7 @@ tag_rewrite_translate_1_2 = {
# Expected operational data: tag-rewrite translate 1-2.
tag_rewrite_translate_1_2_oper = {
- "vlan-type": "vpp-vlan:802dot1q",
+ "vlan-type": "vpp-vlan:_802dot1q",
"pop-tags": 1,
"push-tags": [
{
diff --git a/resources/tools/vagrant/install_hc_debs.sh b/resources/tools/vagrant/install_hc_debs.sh
new file mode 100755
index 0000000000..edb15fa05f
--- /dev/null
+++ b/resources/tools/vagrant/install_hc_debs.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# Copyright (c) 2016 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+set -x
+
+USERNAME=csit
+
+function ssh_do_all {
+ # ssh ${USERNAME}@192.168.255.100 ${@} || exit
+ ssh ${USERNAME}@192.168.255.101 ${@} || exit
+ ssh ${USERNAME}@192.168.255.102 ${@} || exit
+}
+
+# rsync -avz ${@} ${USERNAME}@192.168.255.100:/tmp/ || exit
+rsync -avz ${@} ${USERNAME}@192.168.255.101:/tmp/ || exit
+rsync -avz ${@} ${USERNAME}@192.168.255.102:/tmp/ || exit
+
+ssh_do_all "sudo apt-get -y purge 'honeycomb*' ; exit 0"
+ssh_do_all "sudo dpkg -i /tmp/honeycomb*.deb"